.hero-section {
    width: 100%;
    height: 90vh;
    background-image: image-set(url('../../images/landscape.avif') type('image/avif'),
            url('../../images/landscape.webp') type('image/webp'),
            url('../../images/landscape.png') type('image/png'));
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    position: relative;
}

.hero-text {
    font-family: estedad;
    font-weight: 700;
    font-size: 3rem;
    text-align: center;
    top: 15vh;
    right: 2%;
    padding: 2px;
    z-index: 7;
    color: #ffffff;
    position: relative;
    width: 41%;
    text-shadow: -2px 3px 7px #000000;
}

.hero-text p {
    font-weight: 400;
}

.house-landscape {
    position: absolute;
    min-width: 100%;
    display: flex;
    justify-content: center;
    z-index: 5;
    background-position: center center;
}

@media (max-width: 500px) {
    .house-landscape {
        background-size: 160% auto;
    }
}

.house {
    position: absolute;
    z-index: 5;
    left: 6%;
    width: 100%;
    max-width: 60%;
    filter: drop-shadow(-20px 15px 15px rgba(0, 0, 0, 0.6));
    bottom: 10vh;
}


#house_editor_panel {
    position: absolute;
    left: -1px;
    bottom: 40px;
    width: 76px;
    height: 76px;
    background-image: image-set(url('../../images/button-panel.avif') type('image/avif'),
            url('../../images/button-panel.webp') type('image/webp'),
            url('../../images/button-panel.png') type('image/png'));
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    filter: drop-shadow(0 6px 16px #000);
}


@media(max-width: 1500px) {
    .house {
        max-width: 65%;
        bottom: 15vh;
    }

    .hero-text {
        font-size: 2rem;
        top: 15vh;
        right: 1%;
    }

    #house_editor_panel {
        bottom: 40px
    }
}

@media(max-width: 1200px) {
    .house {
        max-width: 70%;
        bottom: 17vh;
    }

    .hero-text {
        top: 12vh;
        right: 2%;
    }


    #house_editor_panel {
        bottom: 30px
    }
}

@media(max-width: 1000px) {
    .house {
        max-width: 75%;
        bottom: 18vh;
    }

    .hero-text {
        top: 18vh;
        right: 3%;
    }
}

@media(max-width: 900px) {
    .house {
        max-width: 80%;
        bottom: 19vh;
    }

    .hero-text {
        top: 13vh;
        font-size: 1.9rem;
        right: 5%;
        width: 50%;
    }

    #house_editor_panel {
        bottom: 20px
    }
}

@media(max-width: 800px) {
    .house {
        max-width: 85%;
        bottom: 20vh;
    }

    .hero-text {
        width: 70%;
        top: 12vh;
        font-size: 1.8rem;
    }
}

@media(max-width: 700px) {
    .house {
        bottom: 21vh;
    }

    .hero-text {
        width: 100%;
        right: 0;
        top: 10vh;
        font-size: 1.8rem;
    }
}

@media(max-width: 600px) {
    .house {
        bottom: 22vh;
    }

    .hero-text {
        top: 10vh;
        font-size: 1.6rem;
    }
}

@media(max-width: 500px) {
    .house {
        bottom: 23vh;
    }
}

@media(max-width: 400px) {
    .house {
        bottom: 24vh;
    }
}

@media(max-width: 300px) {
    .house {
        bottom: 25vh;
    }
}